PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dgesv | ( | int | N,
|  | int | NRHS,
|  | double * | A,
|  | int | LDA,
|  | int * | IPIV,
|  | double * | B,
|  | int | LDB
| ) |  |

PLASMA_dgesv - Computes the solution to a system of linear equations A * X = B, where A is an N-by-N matrix and X and B are N-by-NRHS matrices. The tile LU decomposition with partial tile pivoting and row interchanges is used to factor A. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in] | N | The number of linear equations, i.e., the order of the matrix A. N >= 0.
  [in] | NRHS | The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | On entry, the N-by-N coefficient matrix A. On exit, the tile L and U factors from the factorization.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [out] | IPIV | On exit, the pivot indices that define the permutations.
  [in,out] | B | On entry, the N-by-NRHS matrix of right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value
  >0 | if i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, so the solution could not be computed.

See also
  PLASMA_dgesv_Tile
  PLASMA_dgesv_Tile_Async
  PLASMA_cgesv
  PLASMA_dgesv
  PLASMA_sgesv